@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Inter', Arial, sans-serif;
  line-height: 1.6;
  background-color: #010A26;
  color: #333;
  max-width: 100%;
  overflow-x: hidden;
}

a {
  text-decoration: none;
  color: inherit;
}

.subscribe-text {
  font-size: 14px;
  font-weight: 400;
  margin-bottom: 20px;
  margin-top: 10px;
}

.gradient-txt-first {
  background-image: linear-gradient(90deg, #F9F9F9 0%,#D9D9D9 50%, #00D8FF 100%);
  width: fit-content;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
}

.gradient-txt-second {
  background-image: linear-gradient(90deg, #010A26 0%,#E83338 50%, #00D8FF 100%);
  width: fit-content;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
}

.gradient-txt-red {
  width: fit-content;
  font-size: 24px;
  background-image: linear-gradient(to right, #372CFF 0%, #E83338 100%);
  -webkit-background-clip: text;
  font-weight: 500;
  background-clip: text;
  color: transparent;
}

.gradient-txt-blue {
  width: fit-content;
  background-image: linear-gradient(to right, #011640 0%, #00D8FF 100%);
  -webkit-background-clip: text;
  font-weight: 500;
  background-clip: text;
  color: transparent;
}

.navbar-menu a.active,
.mobile-menu a.active {
  color: #e63946;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #010A26;
  padding: 0 40px;
  height: 80px;
  overflow-x: hidden;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
  position: relative;
  z-index: 10;
}

.navbar-logo {
  font-size: 18px;
  color: white;
  display: flex;
  gap: 2px;
  font-weight: 500;
}

.logo-red {
  color: #E83338;
  font-style: italic;
}

.navbar-menu {
  display: flex;
  list-style: none;
  gap: 49px;
  margin: 0;
  padding: 0;
}

.navbar-menu li a {
  text-decoration: none;
  color: #e5e7eb;
  display: inline-block;
  transition: color 0.3s, transform 0.3s;
}

.navbar-menu li a:hover {
  color: #ef4444;
  transform: scale(1.2);
}

.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  width: 25px;
  height: 20px;
  justify-content: space-between;
}

.hamburger span {
  display: block;
  height: 3px;
  width: 100%;
  background: white;
  border-radius: 2px;
  transition: all 0.3s ease;
}

.mobile-menu {
  display: none;
  position: absolute;
  right: 20px;
  top: 85px;
  width: 235px;
  background-color: #010A26;
  border-radius: 20px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.4);
  z-index: 10000;
  padding: 25px;
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  opacity: 1;
}

.mobile-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 30px;
  justify-content: space-between;
  align-items: flex-end;
}

.mobile-menu ul button {
  background-color: #010A26;
  border-radius: 24px;
  border: 1px solid #F9F9F9;
  font-size: 16px;
  color: #F9F9F9;
  width: 137px;
  height: 37px;
}

.mobile-menu ul li a {
  color: #F9F9F9;
  font-size: 20px;
  text-decoration: none;
  transition: color 0.3s;
  font-weight: 300;
}

.mobile-menu ul li a:hover {
  color: #ef4444;
}

.contact-btn {
  padding: 3px 24px;
  border: 1px solid #e5e7eb;
  border-radius: 9999px;
  background-color: rgba(217, 217, 217, 0.08);
  color: #e5e7eb;
  text-decoration: none;
  transition: background-color 0.3s, color 0.3s;
}

.contact-btn:hover {
  background-color: #ef4444;
  border-color: #ef4444;
  color: white;
}

.hidden {
  opacity: 0;
  transform: translateY(100px);
  transition: opacity 1s ease, transform 1s ease;
}

.show {
  opacity: 1;
  transform: translateY(0);
}

.footer {
  background-color: white;
  padding: 20px 0;
  margin-top: 80px;
}

.footer-container {
  display: flex;
  color: black;
  font-weight: 600;
  margin: 0 auto;
  padding: 60px;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 20px;
}

.footer-item {
  max-width: 350px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  font-size: 16px;
}

.social-media {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 110px;
}

.social-media img {
  width: 24px;
  height: 24px;
  cursor: pointer;
  text-align: right;
}

.footer-bottom {
  border-top: 1px solid gray;
  text-align: center;
  padding: 30px 0 60px 0;
  color: black;
  font-size: 14px;
  max-width: 1320px;
  margin: 0 auto;
}

.footer-title-code {
  font-size: 18px;
  color: #e83338;
  margin-bottom: 10px;
  font-weight: 700;
}

.footer-title-code span {
  color: black;
}

.footer-title {
  font-size: 18px;
  color: black;
  margin-bottom: 10px;
  font-weight: 700;
}

.footer-subscribe-input input {
  padding: 10px;
  border-radius: 24px;
  border: 1px solid gray;
  width: 70%;
  margin-bottom: 20px;
}

.footer-subscribe-input button {
  padding: 10px 20px;
  border-radius: 24px;
  border: none;
  background-color: black;
  color: white;
  cursor: pointer;
}

@media (max-width: 1024px) {
  .main-title {
    font-size: 32px;
  }
  .story-cards {
    flex-direction: column;
    gap: 20px;
  }
  .open-position-details {
    justify-content: space-around;
    margin: 0 auto;
  }
  .aboutus-stats {
    /* justify-content: space-around; */
  }
}

/* 📱 Tablets portrait < 768px */
@media (max-width: 768px) {
  .main-title {
    font-size: 28px;
  }
  .aboutus-container {
    padding: 30px;
  }

  .open-position-card {
    padding: 40px;
    height: auto;
  }

  .mission-container {
    padding: 0 20px;
  }

  .open-position {
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 0 20px;
  }

  .services-main-container {
    grid-template-columns: 1fr;
  }
  
  .navbar-menu,
  .contact-btn {
    display: none;
  }

  .hamburger {
    display: flex;
  }

  .mobile-menu.active {
    display: block;
    animation: fadeIn 0.3s ease forwards;
  }

  @keyframes fadeIn {
    from { opacity: 0; transform: translateY(-10px); }
    to { opacity: 1; transform: translateY(0); }
  }
}

/* 📲 Small mobile < 480px */
@media (max-width: 480px) {
  .footer-container {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .footer-item {
    max-width: 100%;
  }
}
